for objectID to insertionpoint

Discussion in 'AutoCAD' started by Stefano, May 24, 2004.

  1. Stefano

    Stefano Guest

    HELPPP!!!!
    I have a objectID of a block and i need to know its insertion point.
    HOW?
    thank!
     
    Stefano, May 24, 2004
    #1
  2. Public Sub test()

    Dim ent As AcadEntity
    Dim pt As Variant
    Dim blkRef As AcadBlockReference

    ThisDrawing.Utility.GetEntity ent, pt, "Select object:"
    objid = ent.ObjectID
    Set blkRef = ThisDrawing.ObjectIdToObject(objid)
    pt = blkRef.InsertionPoint

    End Sub
     
    Frank Oquendo, May 24, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.